#include <bits/stdc++.h>

typedef long long ll;

int main()
{
    ll a,b,c,d;

    scanf("%lld%lld%lld%lld",&a,&b,&c,&d);

    if(a==b&&b==c&&c==d){
        putchar('0');
        return 0;
    }

    if(a!=c&&b!=d) {
        putchar('1');
        return 0;
    }
    if(a==c||b==d) {
        putchar('2');
        return 0;
    }


    return 0;
}